Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.web.rest.render.xml
[Groovy] Class DefaultXmlRenderer

    java.lang.Object
      org.grails.plugins.web.rest.render.xml.DefaultXmlRenderer

All Implemented Interfaces:
  Renderer

    @groovy.transform.CompileStatic
    class DefaultXmlRenderer
    extends java.lang.Object

Default renderer for XML responses

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.lang.String` | `encoding`
`GrailsConventionGroovyPageLocator` | `groovyPageLocator`
`MimeType[]` | `mimeTypes`
`java.lang.String` | `namedConfiguration`
`RendererRegistry` | `rendererRegistry`
`java.lang.Class` | `targetType`

Constructor Summary
`DefaultXmlRenderer(java.lang.Class targetType)`
`DefaultXmlRenderer(java.lang.Class targetType, MimeType... mimeTypes)`
`DefaultXmlRenderer(java.lang.Class targetType, GrailsConventionGroovyPageLocator groovyPageLocator)`
`DefaultXmlRenderer(java.lang.Class targetType, GrailsConventionGroovyPageLocator groovyPageLocator, RendererRegistry rendererRegistry)`

Method Summary
`void` | `render(java.lang.Object object, RenderContext context)`
`protected void` | `renderXml(java.lang.Object object, RenderContext context)` Subclasses should override to customize XML response rendering
`protected void` | `renderXml(XML converter, RenderContext context)` Subclasses should override to customize XML response rendering

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### encoding

    java.lang.String encoding

### groovyPageLocator

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    GrailsConventionGroovyPageLocator groovyPageLocator

### mimeTypes

    MimeType[] mimeTypes

### namedConfiguration

    java.lang.String namedConfiguration

### rendererRegistry

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    RendererRegistry rendererRegistry

### targetType

    final java.lang.Class targetType

Constructor Detail

### DefaultXmlRenderer

    DefaultXmlRenderer(java.lang.Class targetType)

### DefaultXmlRenderer

    DefaultXmlRenderer(java.lang.Class targetType, MimeType... mimeTypes)

### DefaultXmlRenderer

    DefaultXmlRenderer(java.lang.Class targetType, GrailsConventionGroovyPageLocator groovyPageLocator)

### DefaultXmlRenderer

    DefaultXmlRenderer(java.lang.Class targetType, GrailsConventionGroovyPageLocator groovyPageLocator, RendererRegistry rendererRegistry)

Method Detail

### render

    @java.lang.Override
    void render(java.lang.Object object, RenderContext context)

### renderXml

    protected void renderXml(java.lang.Object object, RenderContext context)

  Subclasses should override to customize XML response rendering
  Parameters:
    object
    context

### renderXml

    protected void renderXml(XML converter, RenderContext context)

  Subclasses should override to customize XML response rendering
  Parameters:
    object
    context

Groovy Documentation